Update user

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Updates the data of a user in the database identified by the ID.

Click on the image below to enlarge the demonstration in Postman.


Payload example:

{
    "first_name": "Elon",
    "last_name": "Musk",
    "job": null,
    "role": "admin",
    "enabled_pipelines": [
        "b3d4b3f3-a214-4bb4-bfb2-89e5ad77304c"
    ],
    "enabled_portals": null,
    "is_data_access_restricted": false,
    "email": "[email protected]",
    "phone1": "(555) 123-4567",
    "phone2": null,
    "custom_fields_values": {
        "cf_vgolkwum_gender": "Male"
    },
    "picture": null,
    "is_active": true
}
Body Params
string
required
string
required
string
required
enabled_pipelines
array of strings
required
enabled_pipelines*
string
required
string
string
string
boolean
string
string
custom_fields_values
array
custom_fields_values
string
boolean
Headers
string
required
Defaults to application/json
string
required
Defaults to Bearer {token}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json